Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.ember
Class EmberSupport

    java.lang.Object
      org.codehaus.activemq.transport.ember.EmberSupport

Direct Known Subclasses:
  EmberTransportChannelFactory, EmberTransportServerChannelFactory

public class EmberSupport
extends java.lang.Object

An abstract base class useful for implementation inheritence

Version:
  $Revision: 1.7 $

Constructor Summary
`EmberSupport()`
`EmberSupport(pyrasun.eio.EIOGlobalContext context, pyrasun.eio.EIOPoolingStrategy ioPoolingStrategy)`

Method Summary
`protected JMSException` | `createJMSException(java.lang.String message, java.lang.Exception ex)` Factory method to create a JMSException which is linked to the base exception
`pyrasun.eio.EIOGlobalContext` | `getContext()`
`protected pyrasun.eio.services.EmberServiceController` | `getController()`
`protected pyrasun.eio.EIOPoolingStrategy` | `getIoPoolingStrategy()`
`java.lang.String` | `getKey()`
`protected pyrasun.eio.EIOPoolingStrategy` | `getPoolingStrategyByName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmberSupport

    public EmberSupport()

### EmberSupport

    public EmberSupport(pyrasun.eio.EIOGlobalContext context,
                        pyrasun.eio.EIOPoolingStrategy ioPoolingStrategy)

Method Detail

### getContext

    public pyrasun.eio.EIOGlobalContext getContext()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getKey

    public java.lang.String getKey()

### getController

    protected pyrasun.eio.services.EmberServiceController getController()
                                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIoPoolingStrategy

    protected pyrasun.eio.EIOPoolingStrategy getIoPoolingStrategy()

### getPoolingStrategyByName

    protected pyrasun.eio.EIOPoolingStrategy getPoolingStrategyByName(java.lang.String name)

### createJMSException

    protected JMSException createJMSException(java.lang.String message,
                                              java.lang.Exception ex)

  Factory method to create a JMSException which is linked to the base exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.